// demoBox - a lightweight module that displays List Elements as slides for a tutorial, demo or instructions.
// by Mark Hawkins - www.markhawkinsdesigns.com - ver: 01 -8-11-2015
(function($) {	  
    $.fn.demoBox = function(options) {				
        // Establish our default settings
        var settings = $.extend({			
        }, options);		
		return this.each(function(){ 		   
	       var $dbObj = $(this);
		   
  var $lis = $dbObj.find('ul li').hide();
  $lis.slice(0, 1).show();
  var size_li = $lis.length;
  var x = 1,
  start = 0;

// NEXT & PREVIOUS BUTTONS
   $('.next', this).click(function (e) {
e.preventDefault();
       if (start + x < size_li) {
           $lis.slice(start, start + x).hide();
           start += x;
           $lis.slice(start, start + x).show();
		   slideInfo();  
       }
    });
  $('.prev', this).click(function (e) {
	  e.preventDefault();
       if (start - x >= 0) {
          $lis.slice(start, start + x).hide();
          start -= x;
          $lis.slice(start, start + x).show();
		  slideInfo();
        }
    });

// Auto Add Classes
$dbObj.find('ul li').each(function(i){
    var num = (i)+ 1;
    $(this).addClass('' + num );
});

function slideInfo(){
// Get Current Slide Number and Total of Slides
var curSlide = $dbObj.find('ul li:visible').attr('class');
var totalSlides = $dbObj.find('ul li').length;

var navinfo = curSlide + ' of ' + totalSlides;
$dbObj.find('.db-tool-bar span').html(navinfo);
}
// function call
slideInfo();
		
});
};
}(jQuery));